<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:frmwrk="Corel Framework Data">
  <xsl:output method="xml" encoding="UTF-8" indent="yes"/>

  <!-- Use these elements for the framework to move the container from the app config file to the user config file -->
  <frmwrk:uiconfig>
    <!-- The Application Info should always be the topmost frmwrk element -->
    <frmwrk:applicationInfo userConfiguration="true" />
  </frmwrk:uiconfig>

  <!-- Copy everything -->
  <xsl:template match="node()|@*">
    <xsl:copy>
      <xsl:apply-templates select="node()|@*"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="uiConfig/items">
    <xsl:copy>
      <xsl:apply-templates select="node()|@*"/>
      
      <!-- Define the button which shows the docker -->
      <itemData guid="a6a291fb-89be-4bbb-9921-6188eb54af1e" noBmpOnMenu="true"
                type="checkButton"
                check="*Docker('c102034f-545f-4391-9843-5a8a38163faa')"
                dynamicCategory="2cc24a3e-fe24-4708-9a74-9c75406eebcd"
                userCaption="Woodman Panel"
                enable="true"/>
      <!-- Define the web control which will be placed on our docker -->
      <itemData guid="b47dd3b1-a2d8-4820-aaab-f1ed274d04e9"
                type="browser"
                href="[VGAppAddonsDir]/wpanel/wpanel.html"
                enable="true"
                appStyles="false" />
    </xsl:copy>
  </xsl:template>

  <xsl:template match="uiConfig/dockers">
    <xsl:copy>
      <xsl:apply-templates select="node()|@*"/>
      
      <!-- Define the web docker -->
      <dockerData guid="c102034f-545f-4391-9843-5a8a38163faa"
                  userCaption="Woodman Panel"
                  wantReturn="true"
                  focusStyle="noThrow">
        <container>
          <!-- add the webpage control to the docker -->
          <item dock="fill" margin="0,0,0,0" guidRef="b47dd3b1-a2d8-4820-aaab-f1ed274d04e9"/>
        </container>
      </dockerData>
    </xsl:copy>
  </xsl:template>
</xsl:stylesheet>
